OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIS.SharpenTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISSharpenTexture :: MonadIO m => m Bool
- gl_SGIS_sharpen_texture :: Bool
- gl_LINEAR_SHARPEN_ALPHA_SGIS :: GLenum
- gl_LINEAR_SHARPEN_COLOR_SGIS :: GLenum
- gl_LINEAR_SHARPEN_SGIS :: GLenum
- gl_SHARPEN_TEXTURE_FUNC_POINTS_SGIS :: GLenum
- glGetSharpenTexFuncSGIS :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glSharpenTexFuncSGIS :: MonadIO m => GLenum -> GLsizei -> Ptr GLfloat -> m ()

# Extension Support

glGetSGISSharpenTexture :: MonadIO m => m Bool

Is the SGIS_sharpen_texture extension supported?

gl_SGIS_sharpen_texture :: Bool

Is the SGIS_sharpen_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISSharpenTexture` in those cases instead.

# Enums

gl_LINEAR_SHARPEN_ALPHA_SGIS :: GLenum

gl_LINEAR_SHARPEN_COLOR_SGIS :: GLenum

gl_LINEAR_SHARPEN_SGIS :: GLenum

gl_SHARPEN_TEXTURE_FUNC_POINTS_SGIS :: GLenum

# Functions

glGetSharpenTexFuncSGIS

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(target)` elements of type `GLfloat`.
-> m () |

glSharpenTexFuncSGIS

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `n`.
-> Ptr GLfloat | `points` pointing to `n*2` elements of type `GLfloat`.
-> m () |